package rocks.zipcode.quiz5.collections;

import java.util.HashMap;
import java.util.Map;

public class WordCounter {
    Map<String, Integer> map = new HashMap<>();

    public WordCounter(String... strings) {
        for (String s: strings) {
            if (!map.containsKey(s)){
                map.put(s, 1);
            }
            else {
                map.put(s, map.get(s) + 1);
            }
        }
    }

    public Map<String, Integer> getWordCountMap() {
        return map;
    }
}
