package rocks.zipcode.quiz5.fundamentals;

import java.util.ArrayList;
import java.util.Arrays;

/**
 * @author leon on 21/12/2018.
 */
public class StringUtils {
    public static Character getMiddleCharacter(String string) {
        return string.charAt(string.length() % 2 == 1 ? (string.length() - 1) / 2 : string.length() / 2);
    }

    public static String capitalizeMiddleCharacter(String str) {
        String[] strArr = str.split("");
        int index = strArr.length % 2 == 1 ? (strArr.length - 1) / 2 : strArr.length / 2;
        for (int i = 0; i < strArr.length; i++) {
            if (i == index){
                strArr[i] = strArr[i].toUpperCase();
            }

        }

        String retStr = "";
        for (String s: strArr) {
            retStr += s;
        }

        return retStr;
    }

    public static String lowerCaseMiddleCharacter(String str) {
        String[] strArr = str.split("");
        int index = strArr.length % 2 == 1 ? (strArr.length - 1) / 2 : strArr.length / 2;
        for (int i = 0; i < strArr.length; i++) {
            if (i == index){
                strArr[i] = strArr[i].toLowerCase();
            }

        }

        String retStr = "";
        for (String s: strArr) {
            retStr += s;
        }

        return retStr;
    }

    public static Boolean isIsogram(String str) {
        String[] strArr = str.split("");
        for (int i = 0; i < strArr.length; i++) {
            for (int j = 0; j < strArr.length; j++) {
                if (i != j) {
                    if (strArr[i].equals(strArr[j])) {
                        return false;
                    }
                }
            }

        }
        return true;
    }

    public static Boolean hasDuplicateConsecutiveCharacters(String str) {
        String[] strArr = str.split("");

        for (int i = 0; i < strArr.length - 1; i++) {
            if (strArr[i].equals(strArr[i + 1])){
                return true;
            }
        }

        return false;
    }

    public static String removeConsecutiveDuplicateCharacters(String str) {
//        String[] strArr = str.split("");
        ArrayList<String> list = new ArrayList<>(Arrays.asList(str.split("")));
        String retString = "";

        for (int i = 0; i < list.size(); i++) {
            if ((i != list.size() - 1) && (list.get(i).equals(list.get(i+1)))){
                list.remove(i+1);
                list.remove(i);
                retString += list.get(i);
            }
            else{
                retString += list.get(i);
            }
        }
        return retString;
    }

    public static String invertCasing(String str) {
        String[] strArr = str.split("");
        String retString = "";

        for (int i = 0; i < strArr.length; i++) {
            if (strArr[i].matches("[a-z]")){
                retString += strArr[i].toUpperCase();
            }
            else if (strArr[i].matches("[A-Z]")){
                retString += strArr[i].toLowerCase();
            }
            else {
                retString += strArr[i];
            }
        }

        return retString;
    }

    public static int getMiddleIndex(String str){
        return str.length() % 2 == 1 ? (str.length() - 1) / 2 : str.length() / 2;
        }

}